#include <cstdio>
#include <cstdlib>
#include <iostream>
#include <vector>
#include <cmath>
#include "histogram.h"
#include "text.h"
#include "svg.h"
using namespace std;

//  Input   
	struct Input {
        vector<double> Numbers;
        size_t bin_count{};
    };

// 
Input input_data(){
    size_t number_count;
    Input stct;
    //   
    cerr << "Enter number count ";
	cin >> number_count;
    // 
	vector<double> Numbers(number_count);
	stct.Numbers.resize(number_count);
	cerr << "Enter array:\n";
	cin >> stct.Numbers[0];
	for (int i = 1; i < number_count; i++) {
		cin >> stct.Numbers[i];
	}
	//  
	cerr << "Enter bin count\n";
	cin >> stct.bin_count;
	// 
	return stct;
}

//  
void dash_param(size_t& length_dsh, size_t& length_invl){
    cerr << "Enter length dash ";
	cin >> length_dsh;
	cerr << "Enter length interval ";
	cin >> length_invl;
}

int main() {
	//    
	Input in = input_data();

	//      
	size_t length_dash, length_interval;
	dash_param(length_dash, length_interval);

	//  bins  
	vector<size_t> bins = make_histogram(in.Numbers, in.bin_count);

	// 
	show_histogram_svg(bins, length_dash, length_interval);
	//show_histogram_text(bins);

	return 0;
}
